/* Genéricos */

.resaltado {
    font-weight: bold;
}


/* Páginas de cuenta (v1) */

.account-pages {
    background: url("../img/fondo-entrada.jpg") center;
}

img.account-pages-logo {
    max-width: 80px;
}

.account-pages p.text-dark {
    background: rgba(0, 0, 0, 0.5);
}


/* Páginas de cuenta (v2) */

img.account-pages-logo-v2 {
    max-width: 100%;
}

.account-pages p.text-dark {
    background: rgba(0, 0, 0, 0.5);
}

.contenido-login {
    position: fixed;
    left: 0px;
    height: 100%;
    min-height: 100%;
    width: 50%;
    max-width: 100%;
    padding: 10px 20px 20px 20px;
    background: #ffffff;
}

.contenido-login-derecha {
    position: fixed;
    left: 50%;
    height: 100%;
    min-height: 100%;
    width: 50%;
    max-width: 100%;
    top: 0px;
    display:flex;
    align-items: center;
    justify-content: center;
}


.contenido-login-derecha video {
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: -2;
    height:100%;
}

.contenido-login-derecha .folio-video{
    position: absolute;
    background-color: rgba(108, 175, 69, 0.8);
    top: 0px;
    left: 0px;
    z-index: -1;
    height:100%;
    width:100%;

}

.contenido-login-derecha form {
    margin: auto;
    padding: 0px 20px 0px 20px;
}

.recuadro-sesion {
    box-shadow: 0px 0px 25px 0px rgba(0, 0, 0, 0.75);
    background-color: #FFFFFF;
    width: 440px;
    max-width: 90%;
    margin: 60px auto 0px auto;
    border-radius: 10px;
}

.recuadro-sesion input[type="text"] {
    background: transparent !important;
}

.recuadro-sesion .etiqueta-adjunta label {
    background-color: #FFFFFFDD;
    border-radius:2px;
    padding-left:2px;
    padding-right:2px;
}

.icono-sesion {
    color: #FCE100;
    border: solid 2px #FCE100;
    border-radius: 50%;
    font-size: 48px;
    font-weight: 100x;
    width: 64px;
    height: 64px;
    line-height: 64px;
    vertical-align: middle;
    margin: auto;
}

.titulo-sesion {
    font-weight: bold;
    color: #b3b3b3;
    font-size: 24px;
}

.texto-sesion {
    font-weight: bold;
    color:  #797979;
    font-size: 16px;
}

.btn-sesion {
    border-radius: 10px;
    background: #FCE100;
    color: #ffffff;
    font-weight: bold;
    font-size: 18px;
    width: auto;
    padding-left: 40px;
    padding-right: 40px;
}

.btn-sesion:hover {
    background: #36b138;
}

.etiqueta-adjunta label {
    position: absolute;
    float: left;
    background: #ffffff;
    padding: 0px 1px 0px 1px;
    color: #6CAF45;
    font-size: 12px;
    margin-left: 16px;
    margin-top: -8px;
    z-index: 999;
}

.etiqueta-adjunta .icono-placeholder {
    color: #FCE100;
    font-size: 22px;
    position: absolute;
    width: 20px;
    height: 20px;
    margin-left: 335px;
    margin-top: 10px;
    float: right;
    transform: translateY(-50%);
}

.checkbox-recordarme input[type="checkbox"]:checked+label::before {
    background-color: #797979 !important;
    border-color: #797979 !important;
}

p.text-solicitar-acceso a{
    color: #797979 !important;
}

@media (max-width: 980px) {
    .etiqueta-adjunta .icono-placeholder {
        margin-left: 65%;
    }
}

@media (max-width: 820px) {
    .etiqueta-adjunta .icono-placeholder {
        margin-left: 60%;
    }
    img.account-pages-logo-v2 {
        margin-top: 40px;
    }
}

@media (max-width: 690px) {
    .etiqueta-adjunta .icono-placeholder {
        margin-left: 55%;
    }
}

@media (max-width: 580px) {
    .contenido-login {
        display: none !important;
    }
    .contenido-login-derecha {
        position: fixed;
        left: 0;
        height: 100%;
        min-height: 100%;
        width: 100%;
        top: 0px;
    }
    .etiqueta-adjunta .icono-placeholder {
        right: 75px;
    }
    .recuadro-sesion {
        width: 90%;
    }
}


/* Transiciones */

#droba-loader::before,
#droba-loader::after {
    background-color: #6CAF45;
    -webkit-transition: .7s all ease;
    -o-transition: .7s all ease;
    transition: .7s all ease;
}

#cargando-pedido {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.cargando-pedido-texto {
    position: absolute;
    line-height: 100%;
    top: 50%;
    height: 30%;
    text-align: center;
    width: 100%;
    margin: auto;
    vertical-align: middle;
    color: white;
    font-weight: bold;
    font-size: 24px;
}


/* Elementos a ocultar estando vacíos */

div.alert:empty {
    display: none;
}

.oculto-vacio:empty {
    display: none;
}


/* Botones */

.btn-primary {
    background-color: #6CAF45 !important;
    border: 1px solid #6CAF45 !important;
    font-weight: 400;
}

.btn-primary.btn-trans {
    background-color: #FFFFFF !important;
    color: #6CAF45 !important;
    border: 1px solid #6CAF45 !important;
    font-weight: 400;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.focus,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover,
.open>.dropdown-toggle.btn-primary {
    background-color: #FFC616 !important;
    border: 1px solid #FFC616 !important;
    color: #ffffff !important;
}

#sidebar-menu>ul>li>a:hover,
#sidebar-menu .subdrop,
#sidebar-menu ul ul a:hover,
#sidebar-menu>ul>li>a.active {
    color: #FFC616 !important;
}

#sidebar-menu>ul>li>a {
    padding: 7px 20px;
}

.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus,
.page-item.active .page-link {
    background-color: #6CAF45;
    border-color: #6CAF45;
}


/* Controles de formulario */

.checkbox-custom input[type="checkbox"]:checked+label::before {
    background-color: #6CAF45;
    border-color: #6CAF45;
}

.dropify-message .file-icon p {
    font-size: 18px !important;
}


/* Tablas */

table.table-acciones td {
    vertical-align: middle;
}

.table-responsive-especial {
    display: block;
    width: 100%;
    overflow-x: auto;
}

.table-responsive-especial td .d-mobile {
    display: none;
}

.nuevo_pedido_inventario {
    border: solid 1px #dfdee3;
    height: 300px;
    overflow: scroll;
    margin-bottom: 15px;
}

.table-letra-reducida {
    font-size: 12px;
}


/* Asistente */

.progress-bar-primary {
    background-color: #6CAF45;
}

.progress-bar-primary-alt {
    background-color: rgba(44, 51, 40, 0.2);
}

.btn-servicio .btn {
    font-weight: bold;
}

.btn-servicio .btn:hover {
    background-color: #FFC616;
}

.btn-servicio .btn.active {
    background-color: #6CAF45;
    color: #ffffff;
}

.btn-servicio img {
    max-width: 90%;
}

.btn-servicio span {
    display: block;
    padding: 10px;
}

.input-wizard,
input.form-control,
select.custom-select,
textarea.form-control,
.select2-container .select2-selection--single,
.select2-container .select2-selection--multiple {
    border-color: #FFC616 !important;
}

.select2-container--default .select2-results__option--selectable:hover,
.select2-container .select2-selection--multiple .select2-selection__choice {
    background-color: #6CAF45 !important;
}

.input-wizard::placeholder,
input.form-control::placeholder,
textarea.form-control::placeholder {
    color: #6CAF45;
}

input.form-control.obligatorio::placeholder,
textarea.form-control.obligatorio::placeholder {
    color: #ff6666 !important;
}

.desplegable-pedido h5 {
    margin: 0px !important;
}

.desplegable-pedido-boton {
    display: block;
    color: #515151;
    text-decoration: none;
}

.desplegable-pedido-enlace {
    float: right;
    right: 0px;
    top: 0px;
    position: absolute;
}

.desplegable-pedido .card-body {
    padding: 0px !important;
}


/* Google Map */

#map,
#mapa,
.mapa {
    width: 100%;
    height: 300px;
}

.controls {
    margin-top: 10px;
    border: 1px solid transparent;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 32px;
    outline: none;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}


/* Adaptaciones responsive */

@media (max-width: 600px) {
    .nav-tabs {
        display: inline;
    }
    .nav-tabs .nav-link {
        display: none;
    }
    .nav-tabs .nav-item .active {
        display: inline;
        border: 0px;
    }
    .btn-servicio .btn {
        width: 50%;
        white-space: normal;
    }
    .btn-servicio span {
        display: block;
        padding: 3px;
    }
    .btn-servicio img {
        max-width: 100%;
    }
    .table-responsive-especial thead {
        display: none;
    }
    .table-responsive-especial tr {
        border-bottom: 1px solid #dee2e6;
    }
    .table-responsive-especial td {
        display: block;
        text-align: left;
        padding: 2px;
        border: 0px;
    }
    .table-responsive-especial td .d-mobile {
        display: inline;
        font-weight: bold;
    }
    .table-responsive-especial-mejorada tr {
        display: block;
    }
}

/*nuevos*/
  .btn-exito {
  background-color: #6CAF45;
  color: white;
  border: #6CAF45;
  padding: 10px 24px;
  border-radius: 8px;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s ease;
}

.btn-exito:hover {
  background-color: #FFC616 ;
  box-shadow: 0 4px 12px rgba(40, 167, 69, 0.3);
}

.btn-exito:active {
  transform: scale(0.97);
}